Org settings, dashboards & reporting
Process Data Upload
Runs the upload pipeline on already-parsed row objects instead of CSV text.
POSThttps://api.toku.com/tga/process-data-upload
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/process-data-upload' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"uploadType": "grants",
"data": [
{}
]
}'200 response
{
"success": true,
"errors": [
{
"row": 0,
"field": "string",
"message": "string"
}
],
"created": {
"grants": [
"string"
]
},
"summary": {
"processed": 0,
"created": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
uploadTypestringrequiredAvailable options: grants, recorded-payment-corrections, wallets
dataobject[]requiredResponse
200Successful response
successbooleanrequirederrorsobject[]requiredShow child attributes
rowintegerrequiredfieldstringmessagestringrequiredcreatedobjectrequiredShow child attributes
grantsstring[]summaryobjectShow child attributes
processedintegerrequiredAllowed: at least 0
createdintegerrequiredAllowed: at least 0
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits